<?xml version='1.0' encoding='UTF-8'?>
<!--
  ~ Copyright (c) DbVis Software AB. All Rights Reserved.
  -->
<sql:Dialect tag="redshift" xmlns:sql="http://dbvis.com/sql-dialect.xsd" comment="Similar to PostgreSQL but lacking triggers"
   references="
   https://docs.aws.amazon.com/redshift/latest/dg/stored-procedure-create.html
   https://docs.aws.amazon.com/redshift/latest/dg/r_CREATE_PROCEDURE.html
   https://docs.aws.amazon.com/redshift/latest/dg/r_CREATE_FUNCTION.html
   ">
   
   <sql:Text begin="$" end="$" dynamic="true" comment="Dollar-quoted String Constants" />
   <sql:ComplexStatement begin="CREATE [ OR REPLACE ] {FUNCTION|PROCEDURE}" end="" end.override="false" comment="Functions and procedures are essentially the same from a syntax perspective"/>
</sql:Dialect>